| Classes - Annotated - Tree - Functions - Home - Structure

# QDomDocumentType Class Reference
[ XML module ]

The QDomDocumentType class is the representation of the DTD in the document tree. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomDocumentType ()
- QDomDocumentType ( const QDomDocumentType & x )
- QDomDocumentType& operator= ( const QDomDocumentType & )
- ~QDomDocumentType ()
- virtual QString name () const
- virtual QDomNamedNodeMap entities () const
- virtual QDomNamedNodeMap notations () const
- virtual QDomNode::NodeType nodeType () const
- virtual bool isDocumentType () const

## Detailed Description

The QDomDocumentType class is the representation of the DTD in the document tree.

The QDomDocumentType class allows readonly access to some of the data structures in the DTD: it can return a map of all entities() and notations().

In addition the function name() returns the name of the document type as specified in the <!DOCTYPE name> tag.

See also QDomDocument.

## Member Function Documentation

### QDomDocumentType::QDomDocumentType ()

Creates an empty QDomDocumentType object.

### QDomDocumentType::QDomDocumentType ( const QDomDocumentType & n )

Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

### QDomDocumentType::~QDomDocumentType ()

Destructor.

### QDomNamedNodeMap QDomDocumentType::entities () const `[virtual]`

Returns a map of all entities described in the DTD.

### bool QDomDocumentType::isDocumentType () const `[virtual]`

This function overloads QDomNode::isDocumentType().

See also nodeType() and QDomNode::toDocumentType().

Reimplemented from QDomNode.

### QString QDomDocumentType::name () const `[virtual]`

Returns the name of the document type as specified in the <!DOCTYPE name> tag.

See also nodeName().

### QDomNode::NodeType QDomDocumentType::nodeType() const `[virtual]`

Returns `DocumentTypeNode.`

See also isDocumentType() and QDomNode::toDocumentType().

Reimplemented from QDomNode.

### QDomNamedNodeMap QDomDocumentType::notations () const `[virtual]`

Returns a map of all notations described in the DTD.

### QDomDocumentType& QDomDocumentType::operator= ( const QDomDocumentType & n )

Assignement operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.